# This specfile was generated automatically.
# If something needs to be changed - please contact Anders Waananen <waananen@nbi.dk>
# to make sure the changes gets added upstream.

%define _prefix /opt/globus

Summary: Globus Mds Gris Setup
Name: globus_mds_gris_setup
Version: 2.11
Release: 0.11%{?dist}
Group: Globus/Mds_gris
License: Apache License
Url: http://www.globus.org/
Source: %{name}-%{version}.tar.gz
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Patch: globus_mds_gris_setup.patch
BuildRequires: globus_core >= 4
BuildRequires: globus_core-devel
BuildRequires: gpt
Requires: gpt
Requires: globus_openldap
Requires: globus_user_env >=  2
Requires: globus_common_setup >=  2

%ifarch x86_64 alpha
%define flavor gcc64pthr
%else
%define flavor gcc32pthr
%endif

%description
Globus Mds Gris Setup
%prep
%setup -q
%patch -p0
cp -p configure configure.orig
cat configure.orig | \
    sed -e 's!^prefix=.$(GLOBUS_LOCATION).*!prefix=%{_prefix}!' \
        -e 's!^exec_prefix=.$(GLOBUS_LOCATION).*!exec_prefix=%{_prefix}!' \
         > configure
rm -f configure.orig

for i in configure*
do
  cp -p $i orig.$i
  cat orig.$i | \
      sed -e 's!^ac_default_prefix=/usr/local.*!ac_default_prefix=%{_prefix}!' \
          > $i
  rm -f orig.$i
done

for i in `find . -name Makefile.in`
do
  cp -p $i $i.orig
  sed -e 's!\(^[a-zA-Z_]*\) = \$[({]GLOBUS_LOCATION[)}]!\1 = $(prefix)!' < $i.orig > $i
done

%build
flavor=%{flavor}
rm -rf $RPM_BUILD_ROOT

# Create build directory so it's not deleted after the build
mkdir BUILD

#
# Files will not be install in GLOBUS_LOCATION, but it must be set
# in order to find libtool-<flavor>. and maybe other stuff
#

if test -z "$GLOBUS_LOCATION"; then

  for i in `echo $PATH | tr : ' '` /opt/globus/sbin; do
    if test -f $i/libtool-$flavor; then
      export GLOBUS_LOCATION=`dirname $i`
      break
    fi
  done

  if test -z "$GLOBUS_LOCATION"; then
    export GLOBUS_LOCATION=/opt/globus
    echo "Warning: Could not determine GLOBUS_LOCATION - using $GLOBUS_LOCATION"
  fi

fi


#
# Guess GPT_LOCATION
#

unset GPT_LOCATION
for i in `echo $PATH | tr : ' '` /opt/gpt/sbin; do
  if test -f $i/gpt-build; then
    export GPT_LOCATION=`dirname $i`
    break
  fi
done

if test -z "$GPT_LOCATION"; then
  echo "Could not determine GPT_LOCATION"
  exit 1
fi


#
# The actual build
#

$GPT_LOCATION/sbin/gpt-build -verbose --srcdir=`pwd` ${flavor}

#
# Remove prefix in filelists if it exists. It will usually be there
# if GLOBUS_LOCATION != /opt/globus
#

for i in pkgdata/*filelist
do
  if test -r "$i"
  then
    cp -p $i $i.orig
    sed "s!^%{_prefix}!!" < $i.orig > $i
    rm -f $i.orig
  fi
done

#
# Create RPM filelists
#

# Non-dev files
(
 for j in {pkgdata/,}${flavor}_{pgm,rtl}.filelist {pkgdata/,}noflavor_{data,doc,pgm}.filelist
 do
   test -r $j && cat $j
 done
) | sed -e 's,globus_packages,gpt/packages,' | sort | uniq > package.filelist

# Dev files
(
 for j in {pkgdata/,}${flavor}_dev.filelist {pkgdata/,}noflavor_dev.filelist
 do
   test -r $j && cat $j
 done
) | sed -e 's,globus_packages,gpt/packages,' | sort | uniq > package-devel.filelist

# Add prefix to RPM filelists

for j in package.filelist package-devel.filelist
do
  cp -p $j $j.orig
  sed "s!^!%{_prefix}!" < $j.orig > $j
  rm -f $j.orig
done

%install

flavor=%{flavor}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages
( cd $RPM_BUILD_ROOT%{_prefix}/etc ; ln -s gpt/packages globus_packages)

unset GPT_LOCATION
for i in `echo $PATH | tr : ' '` /opt/gpt/sbin; do
  if test -f $i/gpt-build; then
    export GPT_LOCATION=`dirname $i`
    break
  fi
done

if test -z "$GPT_LOCATION"; then
  echo "Could not determine GPT_LOCATION"
  exit 1
fi


#
# GLOBUS_LOCATION is not needed for installation, but must be set,
# in order to find libtool-<flavor>. and maybe other stuff
#

if test -z "$GLOBUS_LOCATION"; then

  for i in `echo $PATH | tr : ' '` /opt/globus/sbin; do
    if test -f $i/libtool-$flavor; then
      export GLOBUS_LOCATION=`dirname $i`
      break
    fi
  done

  if test -z "$GLOBUS_LOCATION"; then
    echo "Could not determine GLOBUS_LOCATION"
    exit 1
  fi

fi

#
# Now the actual installation
#

make install DESTDIR=$RPM_BUILD_ROOT


#
# Fix .la files:
# - Change libs from %{_prefix}/libmylib.la to -L%{_prefix} -lmylib
# - Hardwire prefix to %{_prefix} instead of GLOBUS_LOCATION used at build time
#

echo "Fixing paths in .la files"

for i in $RPM_BUILD_ROOT%{_prefix}/lib*/lib*.la
do
  if test -r "$i"
  then
  cp -p $i $i.oldcopy
  sed -e "s!%{_prefix}/lib/lib\([a-zA-Z0-9._]*\).la!-l\1!g" \
      -e "s!$GLOBUS_LOCATION!%{_prefix}!g" < $i.oldcopy     \
       > $i
  rm -f $i.oldcopy
  fi
done

#
# Well the above might be good in some realities - but delete the stuff and
# remove from filelists.
# Note: Only remove .la files in /opt/globus/lib since /opt/globus/libexec/openldap
#       has required .la files for loadable modules
#
test -d $RPM_BUILD_ROOT%{_prefix}/lib && \
find $RPM_BUILD_ROOT%{_prefix}/lib -name 'lib*.la' -exec rm -rfv '{}' \;
for i in package*.filelist $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/%{name}/*filelist
do
  cp -p $i $i.orig
  grep -v 'lib/.*\.la$' < $i.orig > $i || :
  rm -f $i.orig
done

#
# Fix GPT filelists:
# - Remove DESTDIR/%{_prefix}
#

# for i in $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/%{name}/*filelist
# do
#   cp -p $i $i.orig
#   sed "s!^$RPM_BUILD_ROOT%{_prefix}!!" < $i.orig > $i
#   rm -f $i.orig
# done

#
# Remove metadata files for empty packages or pgm_static packages
# (an empty package is a package with <= 2 files)
#

for i in {pkgdata,.}/noflavor*.filelist {pkgdata,.}/${flavor}*.filelist
do
  if test -r "$i"; then
  nf=`wc -l < $i|tr -d ' '` 
  if test $nf -le 2 -o `basename $i` = ${flavor}_pgm_static.filelist \
                     -o `basename $i` = noflavor_pgm_static.filelist
  then
    pn=`basename $i .filelist`
    echo Removing metadata files in filelist for package $pn
    for p in package package-devel
    do
      mv $p.filelist $p.filelist.old
      cat $p.filelist.old | egrep -v "$pn.(filelist|gpt)$" > $p.filelist || :
    done
    echo Removing files - if any
    rm -fv $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/%{name}/$pn.filelist
    rm -fv $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/%{name}/pkg_data_$pn.gpt
  fi
  fi
done

#
# Remove metadata files which have been installed, but have no associated filelists
#

for i in $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/%{name}/pkg_data_*gpt
do
  p=`basename $i .gpt |sed 's/^pkg_data_//'`
  test -r $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/%{name}/$p.filelist || rm -f $i
done
#
# Remove unpackaged files
#

rm -f $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/%{name}/*.format

echo "%ghost %{_prefix}/etc/gpt/packages/setup/globus_mds_gris_setup/globus_mds_gris_setup.gpt" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/gpt/packages/setup/globus_mds_gris_setup/globus_mds_gris_setup.gpt`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/gpt/packages/setup/globus_mds_gris_setup/globus_mds_gris_setup.gpt
echo "%ghost %{_prefix}/sbin/SXXgris" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/sbin/SXXgris`
touch $RPM_BUILD_ROOT/%{_prefix}/sbin/SXXgris
echo "%ghost %{_prefix}/libexec/grid-info-script-initializer" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-script-initializer`
touch $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-script-initializer
echo "%ghost %{_prefix}/libexec/grid-info-mds-core" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-mds-core`
touch $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-mds-core
echo "%ghost %{_prefix}/libexec/grid-info-common" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-common`
touch $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-common
echo "%ghost %{_prefix}/libexec/grid-info-cpu" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-cpu`
touch $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-cpu
echo "%ghost %{_prefix}/libexec/grid-info-fs" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-fs`
touch $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-fs
echo "%ghost %{_prefix}/libexec/grid-info-mem" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-mem`
touch $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-mem
echo "%ghost %{_prefix}/libexec/grid-info-net" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-net`
touch $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-net
echo "%ghost %{_prefix}/libexec/grid-info-platform" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-platform`
touch $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-platform
echo "%ghost %{_prefix}/libexec/grid-info-os" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-os`
touch $RPM_BUILD_ROOT/%{_prefix}/libexec/grid-info-os
echo "%ghost %{_prefix}/etc/grid-info-resource-ldif.conf" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-resource-ldif.conf`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-resource-ldif.conf
echo "%ghost %{_prefix}/etc/grid-info-resource-register.conf" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-resource-register.conf`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-resource-register.conf
echo "%ghost %{_prefix}/etc/grid-info-resource.schema" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-resource.schema`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-resource.schema
echo "%ghost %{_prefix}/etc/grid.gridftpperf.schema" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/grid.gridftpperf.schema`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/grid.gridftpperf.schema
echo "%ghost %{_prefix}/etc/gridftp-resource.conf" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/gridftp-resource.conf`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/gridftp-resource.conf
echo "%ghost %{_prefix}/etc/gridftp-perf-info" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/gridftp-perf-info`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/gridftp-perf-info
echo "%ghost %{_prefix}/etc/grid-info-slapd.conf" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-slapd.conf`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-slapd.conf
echo "%ghost %{_prefix}/etc/grid-info-site-giis.conf" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-site-giis.conf`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-site-giis.conf
echo "%ghost %{_prefix}/etc/grid-info-site-policy.conf" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-site-policy.conf`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-site-policy.conf
echo "%ghost %{_prefix}/etc/grid-info-server-env.conf" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-server-env.conf`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-server-env.conf
echo "%ghost %{_prefix}/etc/grid-info-deployment-comments.conf" >> package.filelist
mkdir -p `dirname $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-deployment-comments.conf`
touch $RPM_BUILD_ROOT/%{_prefix}/etc/grid-info-deployment-comments.conf
echo "%{_prefix}/etc/globus_packages" >> package.filelist

echo "%dir %{_prefix}/etc/gpt/packages/%{name}" >> package.filelist

#
# Merge file lists since we do not make a separate devel package for this package
#

cat package-devel.filelist >> package.filelist

%post
# Try to make sure GPT_LOCATION is set
if test "x$GPT_LOCATION" = "x"
then
  if test -f /etc/profile.d/gpt.sh
  then
    source /etc/profile.d/gpt.sh
  fi
fi
export GLOBUS_LOCATION=$RPM_INSTALL_PREFIX
cd $RPM_INSTALL_PREFIX/setup/globus/
./setup-globus-mds-gris

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%changelog
* Wed Oct  8 2008 Anders Waananen <waananen@nbi.dk> - 2.11-0.11
- Autogenerated
